## DzlRadioBox DzlRadioBox |

## Functions

GtkWidget * | dzl_radio_box_new ()
void | dzl_radio_box_add_item ()
void | dzl_radio_box_remove_item ()
const gchar * | dzl_radio_box_get_active_id ()
void | dzl_radio_box_set_active_id ()

## Properties

gchar * | active-id | Read / Write
gboolean | has-more | Read
gboolean | show-more | Read / Write

## Signals

void | changed | Run Last

## Types and Values

#define | DZL_TYPE_RADIO_BOX
struct | DzlRadioBoxClass
| DzlRadioBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlRadioBox

## Implemented Interfaces

DzlRadioBox implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_radio_box_new ()

    GtkWidget *
    dzl_radio_box_new (void);

### dzl_radio_box_add_item ()

    void
    dzl_radio_box_add_item (DzlRadioBox *self,
                            const gchar *id,
                            const gchar *text);

### dzl_radio_box_remove_item ()

    void
    dzl_radio_box_remove_item (DzlRadioBox *self,
                               const gchar *id);

### dzl_radio_box_get_active_id ()

    const gchar *
    dzl_radio_box_get_active_id (DzlRadioBox *self);

### dzl_radio_box_set_active_id ()

    void
    dzl_radio_box_set_active_id (DzlRadioBox *self,
                                 const gchar *id);

## Types and Values

### DZL_TYPE_RADIO_BOX

    #define DZL_TYPE_RADIO_BOX (dzl_radio_box_get_type())

### struct DzlRadioBoxClass

    struct DzlRadioBoxClass {
      GtkBinClass parent_class;

      gpointer _padding1;
      gpointer _padding2;
      gpointer _padding3;
      gpointer _padding4;
    };

### DzlRadioBox

    typedef struct _DzlRadioBox DzlRadioBox;

## Property Details

### The `“active-id”` property

      “active-id”                gchar *

Active Id.

Flags: Read / Write

Default value: NULL

### The `“has-more”` property

      “has-more”                 gboolean

Has more items to view.

Flags: Read

Default value: FALSE

### The `“show-more”` property

      “show-more”                gboolean

Show additional items.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (DzlRadioBox *dzlradiobox,
                   gpointer     user_data)

Flags: Run Last